package com.ruoyi.ie.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.ie.domain.AWishRecord;

/**
 * 志愿记录Service接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface IAWishRecordService 
{
    /**
     * 查询志愿记录
     * 
     * @param id 志愿记录主键
     * @return 志愿记录
     */
    public AWishRecord selectAWishRecordById(Long id);

    /**
     * 查询志愿记录列表
     * 
     * @param aWishRecord 志愿记录
     * @return 志愿记录集合
     */
    public List<AWishRecord> selectAWishRecordList(AWishRecord aWishRecord);

    /**
     * 新增志愿记录
     * 
     * @param aWishRecord 志愿记录
     * @return 结果
     */
    public int insertAWishRecord(AWishRecord aWishRecord);

    /**
     * 修改志愿记录
     * 
     * @param aWishRecord 志愿记录
     * @return 结果
     */
    public int updateAWishRecord(AWishRecord aWishRecord);

    /**
     * 批量删除志愿记录
     * 
     * @param ids 需要删除的志愿记录主键集合
     * @return 结果
     */
    public int deleteAWishRecordByIds(Long[] ids);

    public int deleteAWishRecordByMap(Map cond);

    /**
     * 删除志愿记录信息
     * 
     * @param id 志愿记录主键
     * @return 结果
     */
    public int deleteAWishRecordById(Long id);
}
